--- title: "getNetworkInterfaceList" slug: "compute-vserver-networkinterface-getnetworkinterfacelist" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-networkinterface-getnetworkinterfacelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getNetworkInterfaceList Available in VPC Get the list of network interfaces. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getNetworkInterfaceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `subnetName` | String | Optional | Filter by the subnet name. - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `networkInterfaceNoList.N` | Array | Optional | Network interface number list - Filter by the network interface name. - Example: `networkInterfaceNoList.1=1234&networkInterfaceNoList.2=2345` | | `networkInterfaceName` | String | Optional | Filter by the network interface name. | | `networkInterfaceStatusCode` | String | Optional | Filter by the network interface status code. - `SET` \| `UNSET` \| `USED` \| `NOTUSED` - `SET`: setting - `UNSET`: removing - `USED`: in use - `NOTUSED`: not used | | `ip` | String | Optional | Filter by the IP address. | | `secondaryIpList.N` | Array | Optional | Secondary IP address list - Filter by the secondary IP address. - Example: `secondaryIpList.1=192.168.0.1&secondaryIpList.2=192.168.0.2` | | `instanceNo` | String | Optional | Filter by the instance number. - See the Get device instance API. | | `isDefault` | Boolean | Optional | Filter by whether it is a default network interface. - `true` \| `false` - `true`: default network interface - `false`: not a default network interface | | `deviceName` | String | Optional | Filter by the device name. - `eth0` \| `eth1` \| `eth2` | | `serverName` | String | Optional | Filter by the assigned server name. | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getNetworkInterfaceList ?regionCode=KR &networkInterfaceName=nic &subnetName=sb1 &deviceName=eth0 &pageNo=1 &pageSize=2 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getNetworkInterfaceListResponse` | Object | - | Response result - See [NetworkInterfaceList](/docs/en/common-vapidatatype-networkinterfacelist). | | `getNetworkInterfaceListResponse.requestId` | String | - | ID for the request - UUID format | | `getNetworkInterfaceListResponse.returnCode` | String | - | Response code | | `getNetworkInterfaceListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getNetworkInterfaceListResponse": { "totalRows": 4, "networkInterfaceList": [ { "networkInterfaceNo": "70***6", "networkInterfaceName": "nic-70***6", "subnetNo": "3***4", "deleteOnTermination": true, "isDefault": true, "deviceName": "eth0", "networkInterfaceStatus": { "code": "USED", "codeName": "In use" }, "instanceType": { "code": "VSVR", "codeName": "Server (VPC)" }, "instanceNo": "10*****18", "ip": "10.0.10.6", "macAddress": "F2:**:**:**:**:AC", "enableFlowLog": false, "accessControlGroupNoList": [ "1***1" ], "networkInterfaceDescription": "", "secondaryIpList": [] }, { "networkInterfaceNo": "70***5", "networkInterfaceName": "nic-70***5", "subnetNo": "3***4", "deleteOnTermination": true, "isDefault": true, "deviceName": "eth0", "networkInterfaceStatus": { "code": "USED", "codeName": "In use" }, "instanceType": { "code": "VSVR", "codeName": "Server (VPC)" }, "instanceNo": "10*****61", "ip": "10.0.10.7", "macAddress": "F2:**:**:**:**:1E", "enableFlowLog": false, "accessControlGroupNoList": [ "1***1" ], "networkInterfaceDescription": "", "secondaryIpList": [] } ], "requestId": "85b22651-****-****-****-45a5ed2bc52b", "returnCode": "0", "returnMessage": "success" } } ```